## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class TableDataEditorActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataEditorActionBarContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

    public class TableDataEditorActionBarContributor

extends org.eclipse.ui.part.EditorActionBarContributor

Constructor Summary
`TableDataEditorActionBarContributor()`

Method Summary
`void` `contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)`
`void` `contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)`
`void` `contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)`
`void` `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)`
`org.eclipse.jface.action.IAction` `getDeleteAction()`
`org.eclipse.jface.action.IAction` `getInsertAction()`
`org.eclipse.jface.action.IAction` `getRefreshAction()`
`org.eclipse.jface.action.IAction` `getRevertAction()`
`org.eclipse.jface.action.IAction` `getSaveAction()`
`org.eclipse.jface.action.IAction` `getSetNullAction()`
`org.eclipse.jface.action.IAction` `getUpdateAction()`
`void` `setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`dispose, getActionBars, getPage, init, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataEditorActionBarContributor

    public TableDataEditorActionBarContributor()

Method Detail

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)

  Overrides:
    `contributeToMenu` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  Overrides:
    `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToCoolBar

    public void contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)

  Overrides:
    `contributeToCoolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToStatusLine

    public void contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)

  Overrides:
    `contributeToStatusLine` in class `org.eclipse.ui.part.EditorActionBarContributor`

### getRevertAction

    public org.eclipse.jface.action.IAction getRevertAction()

### getRefreshAction

    public org.eclipse.jface.action.IAction getRefreshAction()

### getUpdateAction

    public org.eclipse.jface.action.IAction getUpdateAction()

### getSetNullAction

    public org.eclipse.jface.action.IAction getSetNullAction()

### getInsertAction

    public org.eclipse.jface.action.IAction getInsertAction()

### getSaveAction

    public org.eclipse.jface.action.IAction getSaveAction()

### getDeleteAction

    public org.eclipse.jface.action.IAction getDeleteAction()